Stage2_hard = {
	initialize = function(self)
		self.bglist = Group.new()
		self.bglist.routine = function(self)
			local yield = coroutine.yield
			while true do
				for i, b in ipairs(self.members) do
					b.position = b.position + b.velocity
					if b.position.x == -2*screen.w then
						b.position.x = 2*screen.w
					end
				end
				yield()
			end
		end
		self.bglist:add(createBGImage(vector.new(-screen.w,screen.h/2), vector.new(-0.5,0), graphics.thisstage.sea))
		self.bglist:add(createBGImage(vector.new(screen.w,screen.h/2), vector.new(-0.5,0), graphics.thisstage.sea))
	end;
	routine = function(self)
		sound.bgmroad:play()
---[[
		wait(200)
		local layernum = createImage(vector.new(300,200), vector.new(2,0), graphics.layernum)
		layernum.routine = function(self) self:accelerateGradually(-2,40):pause(300):delete() end
		wait(40)
		local layername = createImage(vector.new(500,320), vector.new(2,0), graphics.layername)
		layername.routine = function(self) self:accelerateGradually(-2,40):pause(300):delete() end
		wait(600)
--]]
---[[
		--A
		local resttime = 2800
		for i=1,3 do
			createShot(vector.new(screen.w,screen.h+30), vector.new(-1,0), 0, EShell)
			resttime = resttime - wait(550)
		end
		wait(resttime)
--]]
---[[
		--rŉ鋛
		resttime = 2000
		repeat
			createShot(vector.new(screen.w+50, math.random(50,screen.h-50)), vector.new(-1.5,0), 0, EFishSlow)
			resttime = resttime - wait(math.random(20,80))
		until resttime < 300
		wait(resttime)
--]]
---[[
		--rŌ鋛
		resttime = 1400
		for i=1,10 do
			if player.position.y>screen.h/2 then
				createShot(vector.new(screen.w+50,50), vector.new(-10,0), 0, EFishFast)
			else
				createShot(vector.new(screen.w+50,screen.h-50), vector.new(-10,0), 0, EFishFast)
			end
			resttime = resttime - wait(80)
		end
		wait(resttime)
--]]
---[[
		createShot(vector.new(screen.w+10,screen.h+10),vector.new(0,0),0,EDarknessParent)
		wait(600)
		createShot(vector.new(-50,screen.h/2),vector.new(0,0),200,EAnglar)
		wait(4300)
--]]
		--{Xo
		createShot(vector.new(screen.w, screen.h/2), vector.new(-2,0), 0, ESizune)
		wait(300)
---[[
		event.beginDialog()
		dialog.left = graphics.thisstage.mika7
		dialog.right = graphics.thisstage.sizune16
		dialog:rightSays([=[킽An̉ql҂Ăłˁ[B]=])
		event.waitInput()
		dialog.left = graphics.thisstage.rin13
		dialog:leftSays([=[Ȃ̗ȂB]=])
		event.waitInput()
		dialog.right = graphics.thisstage.sizune17
		dialog:rightSays([=[ccmĂ܂B]=])
		event.waitInput()
		event.endDialog()
--]]
---[[
		--{XJn
		bossbattle_start = true
		sound.bgmroad:pause()
		sound.bgmboss:play()
		wait(7500)
--]]
		event.gotoStage(3)
		wait(1)
	end;
	draw = function(self)
		if self.bglist then self.bglist:update() end
	end;
}

