Stage3_normal = {
	initialize = function(self)
		self.bglist = Group.new()
		self.bglist.routine = function(self)
			local yield = coroutine.yield
			while true do
				for i, b in ipairs(self.members) do
					b.position = b.position + b.velocity
					if b.position.x == -2*screen.w then
						b.position.x = 2*screen.w
					end
				end
				yield()
			end
		end
		self.bglist:add(createBGImage(vector.new(-screen.w,screen.h/2), vector.new(-0.5,0), graphics.thisstage.fog))
		self.bglist:add(createBGImage(vector.new(screen.w,screen.h/2), vector.new(-0.5,0), graphics.thisstage.fog))
		self.cloudlist = Group.new()
		self.cloudlist.routine = function(self) self:forcemove(-1) end
	end;
	routine = function(self)
		sound.bgmroad:play()
---[[
		wait(200)
		event.beginDialog()
		dialog.left = graphics.thisstage.rin4
		dialog:leftSays([=[Ԃ񂱂Ԑ[Ƃ]=])
		event.waitInput()
		dialog.left = graphics.thisstage.mika8
		dialog:leftSays([=[̐S̒AȂɁcc]=])
		event.waitInput()
		event.endDialog()
		wait(120)
--]]
		for i=1,15 do
			self.cloudlist:add(createBGImage(vector.new(1500*i,300+math.random(-100,100)), vector.new(-1,0), graphics.thisstage.dellusion[i]))
		end
		local layernum = createImage(vector.new(300,200), vector.new(2,0), graphics.layernum)
		layernum.routine = function(self) self:accelerateGradually(-2,40):pause(300):delete() end
		wait(40)
		local layername = createImage(vector.new(500,320), vector.new(2,0), graphics.layername)
		layername.routine = function(self) self:accelerateGradually(-2,40):pause(300):delete() end
		wait(600)
---[[
		for i=1,8 do
			createShot(vector.new(math.random(screen.w-150,screen.w-50),math.random(screen.h/4,screen.h/4*3)),vector.new(math.random(-37,-20),0),0,E_Explosion)
			wait(50)
		end
		wait(350)
--]]
---[[
		for i=1,10 do
			createShot(vector.new(screen.w+50,screen.h/2-200),vector.new(-4,0),0,EBully1)
			createShot(vector.new(screen.w+50,screen.h/2+200),vector.new(-4,0),0,EBully1)
			wait(100)
		end
		wait(500)
--]]
---[[	 
		for i=1,4 do
			for i=1,4 do
				createShot(vector.new(screen.w-30*(i-1),screen.h/2+100*(-1)^i),vector.new(-6, 0), 0, ESwarm2)
				createShot(vector.new(screen.w/7*6-30*(i-1),screen.h/2+screen.h/2*(-1)^i),vector.new(0, 6*(-1)^(i+1)), 0, ESwarm1)
			end
			wait(200)
		end
		wait(300)
--]]
---[[
		for i=1,10 do
			for j=1,4 do
				createShot(vector.new(screen.w+30,math.random(screen.h/4*(j-1),screen.h/4*j)),vector.new(-2,0),0,ERandomBend)
			end
			wait(200)
		end
		wait(500)
--]]
---[[
		--{X
		createShot(vector.new(screen.w/2+200,screen.h/2),vector.new(0,0),0,ERiot)
		wait(4500)
--]]
---[[
		wait(300)   
		createShot(vector.new(screen.w/4*3,-30),vector.new(0,0),0,Empty)
		createShot(vector.new(screen.w/4*3,screen.h+30),vector.new(0,0),0,Empty)
		wait(120)
		for i=1,10 do
			createShot(vector.new(screen.w, screen.h/2+(math.random(-100,100))),vector.new(-7, 0), 0, EWander)
			wait(35)
		end
		wait(900)
--]]
		--{Xo
		createShot(vector.new(screen.w, screen.h/2), vector.new(-2,0), 0, ESizune)
		wait(300)
---[[
		event.beginDialog()
		dialog.right = graphics.thisstage.sizune13
		dialog:rightSays([=[N킩ĂȂłB]=])
		event.waitInput()
		dialog.left = graphics.thisstage.rin13
		dialog:leftSays([=[dȂłBNȂȂ񂾂B]=])
		event.waitInput()
		event.endDialog()
--]]
---[[
		--{XJn
		bossbattle_start = true
		sound.bgmroad:pause()
		sound.bgmboss:play()
		repeat wait(1) until lastboss
		repeat wait(1) until lastboss.hp==0
		wait(420)
--]]
---[[
		event.beginDialog()
		dialog.right = graphics.thisstage.sizune19
		dialog:rightSays([=[(cco^b)]=])
		event.waitInput()

		dialog.right = graphics.thisstage.mika12
		dialog:rightSays([=[ccI]=])
		event.waitInput()

		dialog.left = graphics.thisstage.rin13
		dialog:leftSays([=[vBĐQĂ邾]=])
		event.waitInput()

		dialog:rightSays([=[ccȁH]=])
		event.waitInput()

		dialog.left = graphics.thisstage.rin1
		dialog:leftSays([=[\ƂˁBłASzȂB􂢂͉񂾂]=])
		event.waitInput()

		dialog:rightSays([=[悩cc]=])
		event.waitInput()

		event.endDialog()
--]]
		wait(120)
		event.startStage(nil)
	end;
	draw = function(self)
		if self.bglist then self.bglist:update() end
		if self.cloudlist then self.cloudlist:update() end
	end;
}

