graphics.window = graphics.load("./graphics/stroke/window.png")
graphics.item = graphics.load("./graphics/system/hpHeart.png")
graphics.item2 = graphics.load("./graphics/system/hpHeart2.png")

graphics.ballSS = graphics.loadTiled("./graphics/bullet/ballSS.png",9,1)
graphics.ballS = graphics.loadTiled("./graphics/bullet/ballS.png",9,1)
graphics.ballM = graphics.loadTiled("./graphics/bullet/ballM.png",9,1)
graphics.ballL = graphics.loadTiled("./graphics/bullet/ballL.png",9,1)
graphics.block = graphics.loadTiled("./graphics/bullet/block.png",9,1)
graphics.spindle = graphics.loadTiled("./graphics/bullet/spindle.png",9,1)
graphics.spindleGloss = graphics.loadTiled("./graphics/bullet/spindleGloss.png",9,1)
graphics.arrowhead = graphics.loadTiled("./graphics/bullet/arrowhead.png",9,1)

size = {}
size.ballSS = vector.new(5.7,5.7)
size.ballS = vector.new(11.3,11.3)
size.ballM = vector.new(17,17)
size.ballL = vector.new(22.4, 22.4)
size.block = vector.new(32,32)
size.spindle = vector.new(11,11)
size.arrowhead = vector.new(16,16)


graphics.eye = graphics.loadTiled("./graphics/enemy/eye.png", 5, 1)


local a = Animation.keyframe
local explosion = graphics.loadTiled("./graphics/effect/explosion.png", 6, 1)
for i=1,6 do explosion[i].blendMode = graphics.blendMode.ADD end
graphics.explosion = Animation.new(	a(explosion[1],1),
									a(explosion[2],1),
									a(explosion[3],1),
									a(explosion[4],1),
									a(explosion[5],2),
									a(explosion[6],2))

local explosionB = graphics.loadTiled("./graphics/effect/explosionb.png",5,1)
for i=1,5 do explosionB[i].blendMode = graphics.blendMode.ADD end
graphics.explosionB = Animation.new(a(explosionB[1],2),
									a(explosionB[2],2),
									a(explosionB[3],2),
									a(explosionB[4],2),
									a(explosionB[5],2))
--߂LR͎@BMLR͈ړ̌B
local sizune = graphics.loadTiled("./graphics/enemy/sizune.png", 3, 6)
graphics.sizuneLM = Animation.new(	a(sizune[1],20),
									a(sizune[2],20),
									a(sizune[3],20))
graphics.sizuneLL = Animation.new(	a(sizune[4],20),
									a(sizune[5],20),
									a(sizune[6],20))
graphics.sizuneLR = Animation.new(	a(sizune[7],20),
									a(sizune[8],20),
									a(sizune[9],20))
graphics.sizuneRM = Animation.new(	a(sizune[10],20),
									a(sizune[11],20),
									a(sizune[12],20))
graphics.sizuneRL = Animation.new(	a(sizune[13],20),
									a(sizune[14],20),
									a(sizune[15],20))
graphics.sizuneRR = Animation.new(	a(sizune[16],20),
									a(sizune[17],20),
									a(sizune[18],20))

sound.explosion = sound.load("./sound/se/explosion.wav")
sound.explosionb = sound.load("./sound/se/explosionb.mp3")
sound.item = sound.load("./sound/se/item2.mp3")
sound.beshot = sound.load("./sound/se/beshot.mp3")

