Stage1_normal = {
	initialize = function(self)
		self.bglist = Group.new()
		self.bglist.routine = function(self)
			local yield = coroutine.yield
			while true do
				for i, b in ipairs(self.members) do
					b.position = b.position + b.velocity
					if b.position.x == -2*screen.w then
						b.position.x = 2*screen.w
					end
				end
				yield()
			end
		end
		self.bglist:add(createBGImage(vector.new(-screen.w,screen.h/2), vector.new(-0.5,0), graphics.thisstage.sky))
		self.bglist:add(createBGImage(vector.new(screen.w,screen.h/2), vector.new(-0.5,0), graphics.thisstage.sky))
		self.cloudlist = Group.new()
		self.cloudlist.routine = function(self) self:forcemove(-1) end
	end;
	routine = function(self)
---[[
		sound.bgmroad:play()
		for i=1, 10 do
			self.cloudlist:add(createBGImage(vector.new(i*900+math.random(-100,100),math.random(100,500)), vector.new(-1,0), graphics.thisstage.cloud[math.random(1,4)]))
		end
		local layernum = createImage(vector.new(300,200), vector.new(2,0), graphics.layernum)
		layernum.routine = function(self) self:accelerateGradually(-2,40):pause(300):delete() end
		wait(40)
		local layername = createImage(vector.new(500,320), vector.new(2,0), graphics.layername)
		layername.routine = function(self) self:accelerateGradually(-2,40):pause(300):delete() end
		wait(620)
--]]
---[[
		for i=1,8 do
			createShot(vector.new(screen.w+30, screen.h/2 + 30*i), vector.new(-2,0), 30*i, EBirdCross)
		end
		wait(620)

		for i=1,8 do
			createShot(vector.new(screen.w+30, screen.h/2 - 30*i), vector.new(-2,0), 30*i, EBirdCross)
		end
		wait(800)

		createShot(vector.new(screen.w+30, screen.h/2), vector.new(-2.3,0), 0, EBirdCross)
		for i=1,8 do
			createShot(vector.new(screen.w+30, screen.h/2 + 30*i), vector.new(-2.3,0), 30*i, EBirdCross)
			createShot(vector.new(screen.w+30, screen.h/2 - 30*i), vector.new(-2.3,0), 30*i, EBirdCross)
		end
		wait(800)
--]]
---[[
		--{X
		midboss = createShot(vector.new(500, screen.h+30), vector.new(-3,-3), 0, ESun)
		--{XłGoB
		for i=1,9 do
			if midboss.hp==0 then
				createShot(vector.new(screen.w+25, screen.h/2+150*(-1)^i), vector.new(-5,0), 10, EBirdSlow)
				createShot(vector.new(screen.w+50, screen.h/2-150*(-1)^i), vector.new(-5,0), 20, EBirdSlow)
			end
			wait(200)
		end
--]]
---[[
		createShot(vector.new(screen.w+30 +30, screen.h/2 -90), vector.new(-5,0), 10, EBirdSlow)
		createShot(vector.new(screen.w+30 +60, screen.h/2 -180), vector.new(-5,0), 20, EBirdSlow)
		createShot(vector.new(screen.w+30 +15, screen.h/2 +180), vector.new(-5,0), 10, EBirdSlow)
		wait(300)
		createShot(vector.new(screen.w+30 +30, screen.h/2 +90), vector.new(-5,0), 10, EBirdSlow)
		createShot(vector.new(screen.w+30 +60, screen.h/2 +180), vector.new(-5,0), 20, EBirdSlow)
		createShot(vector.new(screen.w+30 +15, screen.h/2 -180), vector.new(-5,0), 10, EBirdSlow)
		wait(300);
		for j=0,2 do
			for i=0,1 do
				createShot(vector.new(screen.w +20*i, screen.h/2 -80 -50*i -30*j), vector.new(-5,0), 10*i +5*j, EBirdSlow)
				createShot(vector.new(screen.w +20*i, screen.h/2 +80 +50*i +30*j), vector.new(-5,0), 10*i +5*j, EBirdSlow)
			end
			if j==0 then
				createShot(vector.new(screen.w,screen.h/2),vector.new(-5,0),10+5*j,EBirdSlow)
			end
			if j==1 then
				createShot(vector.new(screen.w,screen.h/2+40),vector.new(-5,0),10+5*j,EBirdSlow)
				createShot(vector.new(screen.w,screen.h/2-40),vector.new(-5,0),10+5*j,EBirdSlow)
			end
			if j==2 then
				createShot(vector.new(screen.w,screen.h/2+80),vector.new(-5,0),10+5*j,EBirdSlow)
				createShot(vector.new(screen.w,screen.h/2-80),vector.new(-5,0),10+5*j,EBirdSlow)
			end
			wait(130)
			if j ==1 then
				wait(30)
			end
		end
		wait(600)
--]]
---[[
		--{Xo
		createShot(vector.new(screen.w, screen.h/2), vector.new(-2,0), 0, ESizune)
		wait(300)
--]]
---[[
		event.beginDialog()
		dialog.left = graphics.thisstage.mika7
		dialog:leftSays([=[ccB]=])
		event.waitInput()

		dialog.right = graphics.thisstage.sizune3
		dialog:rightSays([=[AzZpCI@vԂłI]=])
		event.waitInput()

		dialog.left = graphics.thisstage.rin9
		dialog:leftSays([=[΂炭ˁB]=])
		event.waitInput()

		dialog.right = graphics.thisstage.sizune6
		dialog:rightSays([=[cc˂A񂾁B]=])
		event.waitInput()

		dialog.left = graphics.thisstage.mika11
		dialog:leftSays([=[Ђ[B]=])
		event.waitInput()

		dialog.left = graphics.thisstage.rin1
		dialog:leftSays([=[ĂɌĂ̂Bŋ߁AȂ̗lqāB]=])
		event.waitInput()

		dialog.right = graphics.thisstage.sizune6
		dialog:rightSays([=[cĉƂłH]=])
		event.waitInput()
		event.endDialog()
--]]
---[[
		--{XJn
		bossbattle_start = true
		sound.bgmroad:pause()
		sound.bgmboss:play()
		self.bglist = nil
		for i=1,10 do
			self.bg = graphics.thisstage.redsky[i]
			self.cloudlist:rotate(9):accelerate(0.5)
			wait(20)
		end
		for i=2, 80 do
			self.cloudlist:add(createBGImage(vector.new(math.random(0,screen.w), 600*i+math.random(-100,100)), vector.new(0,-5), graphics.thisstage.cloud[math.random(1,4)]))
		end
		wait(9200)
--]]
---[[
		event.beginDialog()
		dialog.left = graphics.thisstage.mika10
		dialog:leftSays([=[ȂB]=])
		event.waitInput()
		dialog.left = graphics.thisstage.rin4
		dialog:leftSays([=[ꂽˁB܂AɂɘbĂƂ͎vĂȂǁB]=])
		event.waitInput()
		event.endDialog()
--]]
		event.gotoStage(2)
		wait(1)
	end;
	draw = function(self)
		if self.bglist then	self.bglist:update() end
		if self.bg then self.bg:drawAt(vector.new(screen.w/2, screen.h/2)) end
		self.cloudlist:update()
	end;
}

