graphics.thisstage = {}
graphics.thisstage.sea = graphics.load("./graphics/background/sea.png")
graphics.thisstage.bubble = graphics.loadTiled("./graphics/enemy/bubble.png", 4, 1)

graphics.thisstage.darkness = graphics.load("./graphics/enemy/darkness.png")
graphics.thisstage.darkness.blendMode = graphics.blendMode.MULA
graphics.thisstage.lightness = graphics.load("./graphics/enemy/lightness.png")
graphics.thisstage.lightness.blendMode = graphics.blendMode.ADD

graphics.thisstage.rin13 = graphics.load("./graphics/sp/rin13.png")
graphics.thisstage.mika7 = graphics.load("./graphics/sp/mika7.png")
graphics.thisstage.sizune16 = graphics.load("./graphics/sp/sizune16.png")
graphics.thisstage.sizune17 = graphics.load("./graphics/sp/sizune17.png")

graphics.layernum = graphics.load("./graphics/stroke/layer2.png")
graphics.layername = graphics.load("./graphics/stroke/layername2.png")



local a = Animation.keyframe
local sizune = graphics.loadTiled("./graphics/enemy/sizune2.png", 3, 6)
graphics.sizuneLM = Animation.new(	a(sizune[1],20),
									a(sizune[2],20),
									a(sizune[3],20))
graphics.sizuneLL = Animation.new(	a(sizune[4],20),
									a(sizune[5],20),
									a(sizune[6],20))
graphics.sizuneLR = Animation.new(	a(sizune[7],20),
									a(sizune[8],20),
									a(sizune[9],20))
graphics.sizuneRM = Animation.new(	a(sizune[10],20),
									a(sizune[11],20),
									a(sizune[12],20))
graphics.sizuneRL = Animation.new(	a(sizune[13],20),
									a(sizune[14],20),
									a(sizune[15],20))
graphics.sizuneRR = Animation.new(	a(sizune[16],20),
									a(sizune[17],20),
									a(sizune[18],20))


local anglar = graphics.loadTiled("./graphics/enemy/anglar.png", 4, 2)
graphics.thisstage.anglarL = Animation.new(	a(anglar[1], 10),
											a(anglar[2], 10),
											a(anglar[3], 10),
											a(anglar[4], 10),
											a(anglar[3], 10),
											a(anglar[2], 10),
											a(anglar[1], 10))
graphics.thisstage.anglarR = Animation.new(	a(anglar[5], 10),
											a(anglar[6], 10),
											a(anglar[7], 10),
											a(anglar[8], 10),
											a(anglar[7], 10),
											a(anglar[6], 10),
											a(anglar[5], 10))

local fish = graphics.loadTiled("./graphics/enemy/fish.png", 7, 2)
graphics.thisstage.fishL = Animation.new(	a(fish[1], 5),
											a(fish[2], 5),
											a(fish[3], 5),
											a(fish[4], 5),
											a(fish[5], 5),
											a(fish[6], 5),
											a(fish[7], 5))
graphics.thisstage.fishR = Animation.new(	a(fish[8], 5),
											a(fish[9], 5),
											a(fish[10], 5),
											a(fish[11], 5),
											a(fish[12], 5),
											a(fish[13], 5),
											a(fish[14], 5))

local mermaid = graphics.loadTiled("./graphics/enemy/mermaid.png", 5, 1)
graphics.thisstage.mermaid = Animation.new(	a(mermaid[1], 7),
											a(mermaid[2], 7),
											a(mermaid[3], 7),
											a(mermaid[4], 7),
											a(mermaid[5], 7),
											a(mermaid[4], 7),
											a(mermaid[3], 7),
											a(mermaid[2], 7))


sound.bubble = sound.load("./sound/se/bubble.mp3")
sound.bgmroad = sound.load("./sound/bgm/2-1.mp3")
sound.bgmboss = sound.load("./sound/bgm/2-2.mp3")
sound.bgmroad:setLoopPosition(1109600)
sound.bgmboss:setLoopPosition(1101189)


