graphics.thisstage = {}
graphics.thisstage.fog = graphics.load("./graphics/background/fog.png")

graphics.thisstage.dellusion = {}
for i=1,15 do
	graphics.thisstage.dellusion[i] = graphics.load("./graphics/background/dellusion"..i..".png")
end

graphics.thisstage.rin1 = graphics.load("./graphics/sp/rin1.png")
graphics.thisstage.rin4 = graphics.load("./graphics/sp/rin4.png")
graphics.thisstage.rin13 = graphics.load("./graphics/sp/rin13.png")
graphics.thisstage.mika8 = graphics.load("./graphics/sp/mika8.png")
graphics.thisstage.mika12 = graphics.load("./graphics/sp/mika12.png")
graphics.thisstage.sizune13 = graphics.load("./graphics/sp/sizune13.png")
graphics.thisstage.sizune19 = graphics.load("./graphics/sp/sizune19.png")


local a = Animation.keyframe

local mouth = graphics.loadTiled("./graphics/enemy/mouth.png", 4, 1)
graphics.thisstage.mouthclosed = mouth[1]
graphics.thisstage.mouth = Animation.new(	a(mouth[1],7),
											a(mouth[2],7),
											a(mouth[3],7),
											a(mouth[4],7),
											a(mouth[3],7),
											a(mouth[2],7))

local ghost = graphics.loadTiled("./graphics/enemy/ghost.png", 5, 3)
for i=1,15 do ghost[i].blendMode = graphics.blendMode.ADD end
graphics.thisstage.ghostM = Animation.new(	a(ghost[1],6),
											a(ghost[2],6),
											a(ghost[3],6),
											a(ghost[4],6),
											a(ghost[5],6),
											a(ghost[4],6),
											a(ghost[3],6),
											a(ghost[2],6))
graphics.thisstage.ghostL = Animation.new(	a(ghost[6],4),
											a(ghost[7],4),
											a(ghost[8],4),
											a(ghost[9],4),
											a(ghost[10],4),
											a(ghost[9],4),
											a(ghost[8],4),
											a(ghost[7],4))
graphics.thisstage.ghostR = Animation.new(	a(ghost[11],4),
											a(ghost[12],4),
											a(ghost[13],4),
											a(ghost[14],4),
											a(ghost[15],4),
											a(ghost[14],4),
											a(ghost[13],4),
											a(ghost[12],4))



graphics.layernum = graphics.load("./graphics/stroke/layer3.png")
graphics.layername = graphics.load("./graphics/stroke/layername3.png")

sound.bgmroad = sound.load("./sound/bgm/3-1.mp3")
sound.bgmboss = sound.load("./sound/bgm/3-2.mp3")
sound.bgmroad:setLoopPosition(1549400)
sound.bgmboss:setLoopPosition(845250)


